Gallery Platform API
Reference

Get a job

Returns a single job with its composed items, ordered tasks, and crew.

GET
/gallery/jobs/{id}

Returns a single job with its composed items, ordered tasks, and crew.

Authorization

bearerAuth jobs:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: jobs:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "title": "string",  "job_type": "move",  "status": "draft",  "origin_location_id": "string",  "destination_location_id": "string",  "scheduled_start": "string",  "scheduled_end": "string",  "instructions": "string",  "notes": "string",  "created_by": "string",  "livemode": true,  "created_at": "string",  "updated_at": "string",  "assignee_count": -9007199254740991,  "task_count": -9007199254740991,  "blocked_task_count": -9007199254740991,  "items": [    {      "id": "string",      "job_id": "string",      "artwork_id": "string",      "label": "string",      "position": -9007199254740991    }  ],  "tasks": [    {      "id": "string",      "job_id": "string",      "kind": "pickup",      "status": "todo",      "title": "string",      "artwork_id": "string",      "location_id": "string",      "assignee_id": "string",      "due_at": "string",      "position": -9007199254740991,      "blocked_reason": "string",      "completed_at": "string",      "completed_by": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "assignees": [    {      "member_id": "string",      "assignee_kind": "member"    }  ]}